var ld="<IMG src=\"images/loading.gif\">";
var errmsg="<img src=\"images/err.gif\">";
$(function(){
	$(".no").click(function(){window.close()});
	$(".pre").click(function(){location.href='javascript:history.go(-1)'});
	$(".home").click(function(){location.href='../'});
	$(".admin").click(function(){location.href='../admin'});
	$("#data01").click(function(){$(".access").css("display","block");$(".mssql").css("display","none");});
	$("#data02").click(function(){$(".access").css("display","none");$(".mssql").css("display","block");});
	if($("#lever_0").length>0)
	{
		$("#lever_0").html(ld);
		$.ajax(
		{
			type:"post",cache:false,url:"ajax.asp?act=k",
			error:function(){$("#lever_0").html(errmsg);},
			success:function(_){$("#lever_0").html(_);}
		});

	}
	if($("#lever_1").length>0||$("#lever_0").html()!=ld||$("#lever_0").html()!="")
	{
		$("#lever_1").html(ld);
		$.ajax(
		{
			type:"post",cache:false,url:"ajax.asp?act=a",
			error:function(){$("#lever_1").html(errmsg);},
			success:function(_){$("#lever_1").html(_);}
		});
	}
	if($("#lever_2").length>0||$("#lever_1").html()!=ld||$("#lever_1").html()!="")
	{
		$("#lever_2").html(ld);
		$.ajax(
		{
			type:"post",cache:false,url:"ajax.asp?act=b",
			error:function(){$("#lever_2").html(errmsg);},
			success:function(_){$("#lever_2").html(_);}
		});
	}
	if($("#lever_3").length>0||$("#lever_2").html()!=ld||$("#lever_2").html()!="")
	{
		$("#lever_3").html(ld);
		$.ajax(
		{
			type:"post",cache:false,url:"ajax.asp?act=c",
			error:function(){$("#lever_3").html(errmsg);},
			success:function(_){$("#lever_3").html(_);}
		});
	}
	if($("#lever_4").length>0||$("#lever_3").html()!=ld||$("#lever_3").html()!="")
	{
		$("#lever_4").html(ld);
		$.ajax(
		{
			type:"post",cache:false,url:"ajax.asp?act=d",
			error:function(){$("#lever_4").html(errmsg);},
			success:function(_){$("#lever_4").html(_);}
		});
	}
	if($("#lever_5").length>0||$("#lever_4").html()!=ld||$("#lever_4").html()!="")
	{
		$("#lever_5").html(ld);
		$.ajax(
		{
			type:"post",cache:false,url:"ajax.asp?act=e",
			error:function(){$("#lever_5").html(errmsg);},
			success:function(_){$("#lever_5").html(_);}
		});
	}
	if($("#lever_6").length>0||$("#lever_5").html()!=ld||$("#lever_5").html()!="")
	{
		$("#lever_6").html(ld);
		$.ajax(
		{
			type:"post",cache:false,url:"ajax.asp?act=f",
			error:function(){$("#lever_6").html(errmsg);},
			success:function(_){$("#lever_6").html(_);}
		});
	}
	if($("#lever_7").length>0||$("#lever_6").html()!=ld||$("#lever_6").html()!="")
	{
		$("#lever_7").html(ld);
		$.ajax(
		{
			type:"post",cache:false,url:"ajax.asp?act=g",
			error:function(){$("#lever_7").html(errmsg);},
			success:function(_){$("#lever_7").html(_);}
		});
	}
	if($("#lever_8").length>0||$("#lever_7").html()!=ld||$("#lever_7").html()!="")
	{
		$("#lever_8").html(ld);
		$.ajax(
		{
			type:"post",cache:false,url:"ajax.asp?act=h",
			error:function(){$("#lever_8").html(errmsg);},
			success:function(_){$("#lever_8").html(_);}
		});
	}
	if($("#lever_9").length>0||$("#lever_8").html()!=ld||$("#lever_8").html()!="")
	{
		$("#lever_9").html(ld);
		$.ajax(
		{
			type:"post",cache:false,url:"ajax.asp?act=i",
			error:function(){$("#lever_9").html(errmsg);},
			success:function(_){$("#lever_9").html(_);}
		});
	}
	if($("#lever_10").length>0||$("#lever_9").html()!=ld||$("#lever_9").html()!="")
	{
		$("#lever_10").html(ld);
		$.ajax(
		{
			type:"post",cache:false,url:"ajax.asp?act=j",
			error:function(){$("#lever_10").html(errmsg);},
			success:function(_)
			{
				$("#lever_10").html(_);
				var num=0;
				for(i=0;i<=7;i++)
				{
					if($("#lever_"+i).html()=="<IMG src=\"images/err.gif\">")
					{
						num++;
					}
				}
				if(num==0){$("#next").removeAttr("disabled");}	
			}
		});
	}
})

function checkdb(the)
{

	if($(".access").css("display")!="none")
	{
		if($.trim(the.t1.value)=="")
		{
			alert("请输入数据库名称");
			the.t1.focus();
			return false;
		}
	}
	if($(".mssql").css("display")!="none")
	{
		if($.trim(the.t2.value)=="")
		{
			alert("请输入数据库IP");
			the.t2.focus();
			return false;
		}
		if($.trim(the.t3.value)=="")
		{
			alert("请输入数据库名");
			the.t3.focus();
			return false;
		}
		if($.trim(the.t4.value)=="")
		{
			alert("请输入数据库用户名");
			the.t4.focus();
			return false;
		}
		/*if($.trim(the.t5.value)=="")
		{
			alert("请输入数据库密码");
			the.t5.focus();
			return false;
		}*/
	}
	if($.trim(the.t6.value)=="")
	{
		alert("请输入网站名称");
		the.t6.focus();
		return false;
	}
	if($.trim(the.t8.value)=="")
	{
		alert("请输入管理账户");
		the.t8.focus();
		return false;
	}
	if($.trim(the.t9.value)=="")
	{
		alert("请输入管理密码");
		the.t9.focus();
		return false;
	}
}